<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
    xmlns:layout="http://www.ultraq.net/thymeleaf/layout"
      layout:decorate="~{layout/layout}"
>
<head>
    <meta charset="UTF-8">
    <title>BookManagement</title>
    <link rel="stylesheet" href="bootstrap.min.css">
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <!--[[${key}]]-->

    <div layout:fragment="~{content}">
        <div class="col-md-8 offset-md-2">
            <a th:href="@{create}"><button class=" btn mt-4 mb-2"><h4 >Add new Book</h4></button></a>
            <a th:href="@{/index(lang=km)}"><button class=" btn mt-4 mb-2"><h4 >Khmer</h4></button></a>
            <a th:href="@{/index(lang=en)}"><button class=" btn mt-4 mb-2"><h4 >English</h4></button></a>
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th th:text="#{id}">ID</th>
                    <th th:text="#{title}">Title</th>
                    <th th:text="#{author}">Author</th>
                    <th th:text="#{publisher}">Publisher</th>
                    <th th:text="#{thumbnail}">Thumbnail</th>
                    <th th:text="#{category}">Category</th>
                    <th th:text="#{action}">Action</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="book : ${key}">
                    <td th:text="${book.getId()}"></td>
                    <td>[[${book.getTitle()}]]</td>
                    <td th:text="${book.getAuthor()}"></td>
                    <td th:text="${book.getPublisher()}"></td>
                    <td>
                        <img style="width: 50px;height: 50px" th:src="${book.getThumbnail()}" alt="">
                    </td>
                    <td th:text="${book.getCategory().getName()}"></td>
                    <td>
                        <a  th:href="@{view/{id}(id=${book.getId()})}"><button class="mt-1 mb-1 btn btn-primary">View</button></a>
                        <button th:attr="data-id=${book.getId()}" class="btn-delete mt-1 mb-1 btn btn-primary">Delete</button>
                        <a th:href="@{update/{id}(id=${book.getId()})}"><button class="mt-1 mb-1 btn btn-primary">Update</button></a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>


    <script type="text/javascript" layout:fragment="script">
        $(document).ready(function () {
            // $('body').on('click', '.btn-delete', function () {
            $(".btn-delete").click(function (){
                var data_id = $(this).attr("data-id");
                if(confirm("Do you want to delete?")) {
                    window.location = "http://localhost:8080/delete/" + data_id;
                }
            });
        });
    </script>
</body>
</html>